Issue 120529 - crash after print of non-existing pages
crash after print of non-existing pages
Status: RESOLVED FIXED
Product: Writer
Classification: Application
Component: printing
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
LadyMariu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 09:50 UTC by Oliver-Rainer Wittmann
Modified: 2013-04-19 11:51 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Oliver-Rainer Wittmann 2012-08-10 09:50:20 UTC
With the following steps the application will crash:
- open existing text document or create a new one
- Menu File - Print
- choose to print a page which does not exist
- Print
- close text document
--> crash.

This crash also occurs in OOo 3.3 and OOo 3.4 Beta
Comment 1 Shareef 2012-10-01 00:19:43 UTC
It crashes only for Windows.
For Windows:
1- Open a document.
2- Choose print. Under Range and copy choose the radio button Pages, then enter non exist page. Then press print.
3- Writer will start processing the request and the pop up Print Dialog will be closed without any warning. 
4- Close the document.
=> Crash

However, when using OO for mac, in step 3, Writer will show this warning message when pressing Print button "No Pages from the document were selected to be printed" and no crash is encountered when closing the document.
Comment 2 Adam 2013-02-20 18:56:04 UTC
I was able to recreate this in Windows XP Professional (Service Pack 3) using OpenOffice 3.3.

I executed the following steps:
1. Opened Open Office Writer
2. From the File menu selected print
3. Selected the Pages radio button
4. Entered the number 0 in the pages field
5. Clicked Print (A document prints)
6. Closed Open Office Writer using the “X” in the upper right-hand corner (While closing, OpenOffice Writer crashes)

I also found that when I attempted to print a nonexistent page, a page was printed and the data on that page was different based on what page number I selected.

Repeating the above, when I entered -1000 and -1 my printout was one blank page.  When I entered 0, 100, 1000, and 5000 my print out was “IB” written in the top left corner.  Regardless of the input, if I only entered 1 number the Writer crashed when trying to close.

I then repeated the above steps using various scenarios with ranges of numbers and got the results below:

Range	Existing Pages	                Output
11-12	Neither Existed	                1 Blank Page
14-16	None Existed	                1 Blank Page
1-2     Page 1 Existed, 2 Did Not       Page 1 Printed
1-3	Pages 1&2 Existed, 3 Did Not	Page 2 Printed

In all the scenarios I executed using ranges with nonexistent pages the Writer does not crash when closing.
Comment 3 DanielAlvaro 2013-04-11 02:30:41 UTC
Hello,

I was checking your problem and I found the same problem
Comment 4 Oliver-Rainer Wittmann 2013-04-19 10:42:22 UTC
fix in progress
Comment 5 SVN Robot 2013-04-19 11:46:08 UTC
"orw" committed SVN revision 1469788 into trunk:
120529: abort print controller job, if no pages will be printed
Comment 6 Oliver-Rainer Wittmann 2013-04-19 11:51:24 UTC
solved on trunk for AOO 4.0